#include "K38DashRedirectComponent.h"
#include "Engine/NetSerialization.h"

class AKiller;
class AK38Dog;

void UK38DashRedirectComponent::Server_UpdateCurrentAimDirection_Implementation(FVector_NetQuantizeNormal direction)
{

}

AKiller* UK38DashRedirectComponent::GetOwningPlayer() const
{
	return NULL;
}

AK38Dog* UK38DashRedirectComponent::GetDog() const
{
	return NULL;
}

UK38DashRedirectComponent::UK38DashRedirectComponent()
{
	this->_pitchLimit = 45.000000;
	this->_yawMultiplier = 1.000000;
	this->_pitchMultiplier = 1.000000;
	this->_maxYawPerTick = 30.000000;
	this->_fadeToBlackDuration = 0.150000;
	this->_fadeToWhiteDuration = 0.500000;
	this->_cameraBlendTime = 0.400000;
	this->_turnSmoothingTime = 0.100000;
	this->_cameraDirectionUpdateThreshold = 0.100000;
	this->_killerInstinctEffectClass = NULL;
}
